﻿Type=Activity
Version=2.02
FullScreen=True
IncludeTitle=False
@EndOfDesignText@
Sub Process_Globals
	Private mBmp As Bitmap

End Sub

Sub Globals
	Dim sv2d As ScrollView2D
	Dim Webview1 As WebView
	Dim width, height As Int
	Dim iv As ImageView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.AddMenuItem("Fill Screen", "FitToScreen")
	Activity.AddMenuItem("Go back", "GoBack")
End Sub

Sub Activity_Resume
	Activity.Invalidate
End Sub

Sub FitToScreen_Click
	If sv2d.IsInitialized=False Then Return		'Could be that a webview is active!
	
	'Rescale bitmap image to fit screen
	Dim AspectRate As Double
	width=mBmp.width
	height=mBmp.height
	
	AspectRate=width/height
	If width>90%x Then
		'too wide
		width=90%x
		height=width/AspectRate
	Else
		'too high
		height=90%y
		width=height*AspectRate
	End If
	
	iv.width=width
	iv.height=height
	
	sv2d.Panel.height=height
	sv2d.Panel.width=width
	sv2d.Top=(sv2d.height-height)/2
	sv2d.Left=(sv2d.width-width)/2
	sv2d.Invalidate
End Sub

Sub ShowMainUrl(URL As String)
	Webview1.Initialize("")
	Webview1.LoadUrl(URL)
	Activity.AddView(Webview1, 0, 0, 100%x, 100%y)
	
End Sub

Sub ShowImage(bmp As Bitmap)
	iv.Initialize("LargeImage")
	
	If bmp.width>bmp.height Then				'Image is landscape, rotate
		Dim rbmp As RSImageProcessing
		mBmp=rbmp.rotateBitmap(bmp, -90)
	Else
		mBmp = bmp
	End If
		
	iv.Bitmap=mBmp
	iv.Gravity=Gravity.FILL
	sv2d.Initialize(mBmp.width, mBmp.height, "")
	sv2d.Panel.AddView(iv,0,0,mBmp.width, mBmp.height)
	Activity.AddView(sv2d, 0, 0, 100%x, 100%y)
	
'	Log("image height: " & mBmp.height)
'	Log("image width: " & mBmp.width)
'	Log("sv2d height: " & sv2d.Panel.height)
'	Log("sv2d width: " & sv2d.Panel.width)
			
End Sub

Sub LargeImage_Click
	Activity.OpenMenu
End Sub

'Long click to save the file
Sub LargeImage_LongClick
Log("Directory list: "&File.ListFiles(Main.FileDirectory))
Log("Directory Name: "&Main.FileDirectory)
Log("Image Name: "&Main.ImageIndex)
Log("Save Directory: "&Main.SaveDirectoy)
Log("Save filename: "&Main.SaveFilename)

	File.Copy(Main.FileDirectory, Main.ImageIndex, Main.SaveDirectoy, Main.SaveFilename)
	ToastMessageShow ("Image saved.", False)
End Sub

Sub GoBack_Click
	If Webview1.IsInitialized Then Webview1.RemoveView
    If sv2d.IsInitialized Then sv2d.RemoveView
	File.Delete(File.DirRootExternal & "/goddess/", Main.ImageFileName)
	Activity.Finish
End Sub

'Trap the back button
Sub Activity_KeyPress (KeyCode As Int) As Boolean                            
    If KeyCode = KeyCodes.KEYCODE_BACK Then
		Activity.OpenMenu
		Return True
	Else
		Return False
    End If 
End Sub

